Package owl.translations.ltl2ldba.breakpoint

## Class GeneralizedAcceptingComponentBuilder

- java.lang.Object
- - owl.translations.ltl2ldba.AbstractAcceptingComponentBuilder<GeneralizedBreakpointState,GeneralizedBuchiAcceptance,GObligations>
  - - owl.translations.ltl2ldba.breakpoint.GeneralizedAcceptingComponentBuilder

- All Implemented Interfaces:
    `MutableAutomatonBuilder<Jump<GObligations>,GeneralizedBreakpointState,GeneralizedBuchiAcceptance>`

      public final class GeneralizedAcceptingComponentBuilder
      extends AbstractAcceptingComponentBuilder<GeneralizedBreakpointState,GeneralizedBuchiAcceptance,GObligations>

- - ### Field Summary

    - ### Fields inherited from class owl.translations.ltl2ldba.AbstractAcceptingComponentBuilder

      `anchors, factories, factory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeneralizedAcceptingComponentBuilder​(Factories factories, Set<LTL2LDBAFunction.Configuration> optimisations)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MutableAutomaton<GeneralizedBreakpointState,GeneralizedBuchiAcceptance>` | `build()` |
    `GeneralizedBreakpointState` | `createState​(EquivalenceClass remainder, GObligations obligations)` |
    `Edge<GeneralizedBreakpointState>` | `getSuccessor​(GeneralizedBreakpointState state, BitSet valuation)` |

    - ### Methods inherited from class owl.translations.ltl2ldba.AbstractAcceptingComponentBuilder

      `add`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralizedAcceptingComponentBuilder

          public GeneralizedAcceptingComponentBuilder​(Factories factories,
                                                      Set<LTL2LDBAFunction.Configuration> optimisations)

  - ### Method Detail

    - #### build

          public MutableAutomaton<GeneralizedBreakpointState,GeneralizedBuchiAcceptance> build()

    - #### createState

          public GeneralizedBreakpointState createState​(EquivalenceClass remainder,
                                                        GObligations obligations)

      Specified by:
        `createState` in class `AbstractAcceptingComponentBuilder<GeneralizedBreakpointState,GeneralizedBuchiAcceptance,GObligations>`

    - #### getSuccessor

          @Nullable
          public Edge<GeneralizedBreakpointState> getSuccessor​(GeneralizedBreakpointState state,
                                                               BitSet valuation)